<?php

namespace Luticate\Auth\DataAccess;

use Luticate\Utils\LuDataAccess;
use Luticate\Auth\DataAccess\Models\LuticateUsers;
use Luticate\Auth\DBO\LuticateUsersDbo;

class LuticateUsersDataAccess extends LuDataAccess {
    protected static function getModel()
    {
        return new LuticateUsers();
    }

    /**
     * @param $username string
     * @return LuticateUsersDbo|null
     */
    public static function getByUsername($username)
    {
        $user = LuticateUsers::where("username", "=", $username);
        if (is_null($user))
            return null;
        return $user->toDbo();
    }
}